[embed:](https://www.youtube.com/embed/j-9X9CF7_UY)

Once you have a map shared between a party all players can drag tokens from the Token List on the right hand side of the screen. Tokens can then be used to represent players, monsters or any other object that needs to be moved around the map.

## Default Tokens

Owlbear Rodeo comes with a variety of default tokens that represent various player classes and monsters in a fantasy setting.

![Default Tokens](defaultTokens)

Currently there are default tokens representing these types: Barbarian, Bard, Cleric, Druid, Fighter, Monk, Paladin, Ranger, Rogue, Sorcerer, Warlock, Wizard, Artificer, Blood Hunder, Aberration, Beast, Celestial, Construct, Dragon, Elemental, Fey, Fiend, Giant, Goblinoid, Humanoid, Monstrosity, Ooze, Plant, Shapechanger, Titan and Undead.

## Working With Tokens

Once a token has been placed on a map there are a few settings available for them. To access these settings click a token on the map.

![Working With Tokens](workingWithTokens)

An overview of each setting is listed below:

- Label: allows you to write text that is then displayed at the bottom of the token.
- Status: allows you to overlay a coloured ring on top of the token, these can be useful for showing status effects.
- Size: controls the size of the token each notch represents how many grid cells the token takes up in the horizontal direction.
- Rotation: the direction the token faces, restrained to 15 degree increments.
- Hide / Show (GM Only): toggle the visibility of the token, useful for tracking invisible enemies.
- Lock / Unlock (GM Only): when a token is locked it can't be moved until it is unlocked again.

To delete a token drag in into the delete button that appears when dragging.

![Deleting Tokens](deletingTokens)

## Custom Tokens

When you need more then the default tokens Owlbear Rodeo allows you to upload a custom token. Custom tokens are similar to custom maps and can be uploaded in a similar way.

![Custom Tokens](customTokens)

To upload a custom token select the Edit Tokens Button at the bottom of the Token List. This will open the Edit Tokens Screen which allows you to upload and edit tokens.

To upload a new token either click the Add Token Button or drag an image into the Edit Tokens Screen.

`Tip: Owlbear Rodeo has full transparency support for tokens. This means that players can only interact with visible parts of a token so feel free to upload creatures that might have large extended areas like wings.`

## Editing Tokens

![Token Editor](tokenEditor)

Once a custom token has been added there are a few settings you can edit if you wish.

To get access to these settings you can click the Edit Token button while a token is selected.

The topmost view of the Edit Token Screen is a preview of what the token will look like on a map.

The first setting available is the Name input which allows you to change the name of the token that shows up in the Edit Tokens Screen.

Next you can change the Category of your token, a summary of the options is below.

- Character - when selected this token will render on top of all other tokens. Used for things like players or enemies.
- Prop - when selected this token will render beneath all other tokens. Used for things like items or markers.
- Vehicle / Mount - when selected this token will render beneath characters but above props and when moved a character on top of this token will also be moved.

Lastly you can adjust the default size that is used when adding the token to the map by adjusting the Default Size Input.

`Note: The size input for a non-square image represents the number of grid cells a token takes up on the horizontal axis. The number of cells in the vertical axis is determined by the aspect ratio of the uploaded image.`

## Removing, Grouping and Hiding Tokens

![Hiding, Removing and Grouping Tokens](groupAndRemovingTokens)

To remove a custom token select the token in the Edit Tokens Screen then click the Remove Token button or use the Delete keyboard shortcut.

Once a token has been added you can use the Hide/Show Token in Sidebar toggle to prevent it from taking up room in the Token List on the right side of your screen.

Tokens can also be grouped to allow for better organisation. To do this with a token selected click on the Group Token button then select or create a new group.

`Tip: You can select multiple tokens at the same time using the Select Multiple option or using the Ctrl/Cmd or Shift keyboard shortcuts`

## Filtering Tokens

![Filtering Tokens](filteringTokens)

In the Edit Tokens Screen you can filter the tokens that are being shown by entering a term in the Search Bar. This will show tokens whose names or groups best match your search term.
